#version 430 core
layout ( location = 0 ) in vec3 vertex_position;
layout ( location = 1 ) in vec4 position;

out vec3 particleColor;

uniform mat4 M_p;
uniform mat4 M_v;
uniform vec3 color;
uniform float brightness;

void main()
{ 
   vec4 position_viewspace = M_v * vec4( position.xyz , 1 );
   position_viewspace.xy += position.w * (vertex_position.xy - vec2(0.5));
   gl_Position = M_p * position_viewspace;   
   particleColor = color;
};